<?php
if ( ! class_exists( 'SLPPower_CategoryWalker_List' ) ) :

/**
 * The data interface helper.
 *
 * Extends /wp-includes/category-template.php Walker_Category class.
 *
 * @package StoreLocatorPlus\Power\CategoryWalker_List
 * @copyright 2016 Charleston Software Associates, LLC
 *
 */
class SLPPower_CategoryWalker_List extends Walker_Category {

    /**
     * The parent object.
     *
     * @var object $parent
     */
    private $parent;

    /**
     * Create the Walker object.
     *
     * Allows or passing of parent property.
     *
     * @param mixed[] $params
     */
    function __construct( $params ) {
        foreach ( $params as $key => $val ) {
            $this->$key = $val;
        }
    }

    /**
     * @see Walker::start_el()
     *
     * This version adds the term ID to the output.
     *
     * @param string $output Passed by reference. Used to append additional content.
     * @param object $category Category data object.
     * @param int $depth Depth of category in reference to parents.
     * @param array $args
     */
    function start_el( &$output, $category, $depth = 0, $args = array(), $id = 0 ) {

	    /**
	     * @var SLPPower    $addon
	     */
    	extract( $args );

        $cat_name = esc_attr( $category->name );
	    $cat_text = apply_filters( 'list_cats', $cat_name, $category );	    $html = $addon->createstring_CategoryEditLink( $category->term_id , $cat_text )  . ' : ' ;

	    $html .= sprintf( '%u %s' , intval( $category->location_count ) ,  __(' total , ' , 'slp-power') );

	    $cat_count = intval( $category->count );
	    $pub_text = sprintf( '%u %s' , $cat_count , __( ' published. ' , 'slp-power' ) );
	    if ( $cat_count > 0 ) {
	    	$alt_text = __( 'view published page list' , 'slp-power' );
		    $html .= sprintf( '<a href="%s" alt="%s" title="%s">%s</a>' , esc_url( get_edit_term_link( $category , SLPLus::locationTaxonomy ) ) , $alt_text, $alt_text, $pub_text );
	    } else {
		    $html .= $pub_text;
	    }

        $output .= "\t<li";
        $class = 'cat-item cat-item-' . $category->term_id;
        if ( ! empty( $current_category ) ) {
            $_current_category = get_term( $current_category, $category->taxonomy );
            if ( $category->term_id == $current_category ) {
                $class .= ' current-cat';
            } elseif ( $category->term_id == $_current_category->parent ) {
                $class .= ' current-cat-parent';
            }
        }
        $output .= ' class="' . $class . '"';
        $output .= ">$html\n";
    }
}

endif;
