<?php
if ( ! class_exists( 'SLPPremier_LocationImport' ) ) {
	/**
	 * Add WooCommerce functionality.
	 *
	 * @property        SLPPremier $addon
	 *
	 * @package StoreLocatorPlus\SLPPremier\Location\Import
	 * @author Lance Cleveland <lance@storelocatorplus.com>
	 * @copyright 2016 Charleston Software Associates, LLC
	 */
	class SLPPremier_LocationImport extends SLPlus_BaseClass_Object {
		public $addon;
        private $field_map = array(
            'name'  => 'sl_store'
        );

        /**
         * Map field name "aliases" to location data fields.
         *
         * @param $location_data
         */
        public function map_fields( $location_data ) {
            foreach ( $this->field_map    as $alias => $field ) {
                if ( ! isset( $location_data[$field] ) || empty( $location_data[$field] ) ) {
                    if ( isset( $location_data[$alias] ) && ! empty( $location_data[$alias] ) ) {
                        $location_data[ $field ] = $location_data[ $alias ];
                    }
                    if ( isset( $location_data[ 'sl_' . $alias] ) && ! empty( $location_data[ 'sl_' . $alias] ) ) {
                        $location_data[ $field ] = $location_data[ 'sl_' . $alias ];
                    }
                }
            }
            return $location_data;
        }
	}
}